CheckedOutputStream (Java Platform SE 8 )
Keywords: java.util.zip.CheckedOutputStream class
Date: 2026-04-17

compact1, compact2, compact3
java.util.zip

## Class CheckedOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.util.zip.CheckedOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class CheckedOutputStream
      extends FilterOutputStream

  An output stream that also maintains a checksum of the data being written. The checksum can then be used to verify the integrity of the output data.
  See Also:
    `Checksum`

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckedOutputStream(OutputStream out, Checksum cksum)` Creates an output stream with the specified Checksum.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Checksum` | `getChecksum()` Returns the Checksum for this output stream.
    `void` | `write(byte[] b, int off, int len)` Writes an array of bytes.
    `void` | `write(int b)` Writes a byte.

    - ### Methods inherited from class java.io.FilterOutputStream

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckedOutputStream

          public CheckedOutputStream(OutputStream out,
                                     Checksum cksum)

      Creates an output stream with the specified Checksum.
      Parameters:
        `out` - the output stream
        `cksum` - the checksum

  - ### Method Detail

    - #### write

          public void write(int b)
                     throws IOException

      Writes a byte. Will block until the byte is actually written.
      Overrides:
        `write` in class `FilterOutputStream`
      Parameters:
        `b` - the byte to be written
      Throws:
        `IOException` - if an I/O error has occurred

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)
                     throws IOException

      Writes an array of bytes. Will block until the bytes are actually written.
      Overrides:
        `write` in class `FilterOutputStream`
      Parameters:
        `b` - the data to be written
        `off` - the start offset of the data
        `len` - the number of bytes to be written
      Throws:
        `IOException` - if an I/O error has occurred
      See Also:
        `FilterOutputStream.write(int)`

    - #### getChecksum

          public Checksum getChecksum()

      Returns the Checksum for this output stream.
      Returns:
        the Checksum

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.